> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.wynncraft.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.wynncraft.com/_mcp/server.

# List recipe database entries

GET https://api.wynncraft.com/v3/item/recipe/database

This endpoint is cached for 1 hour in the SHARED cache source.   See [Caching](/welcome#caching).  This endpoint belongs to the ITEMS rate-limit bucket. See [Throttling and Rate Limits](/welcome#throttling-and-rate-limits).

`full_result` bypasses pagination and returns the full raw array instead of the paginated object.

This endpoint uses the generic pagination response format unless `full_result` is present.

Reference: https://docs.wynncraft.com/modules/item-recipe/list-recipes

## Request

### Query parameters

- `page` (integer, optional)
- `full_result` (enum, optional) — Presence-based flag that expands responses. Send it without a value as `?full_result`. Using `?full_result=true` or `?full_result=false` is not accepted.
  - Allowed values: ``

## Response

### 200

Paginated recipe list.

- `controller` (PaginationController, required)
- `results` (list of Recipe, required)

## Types

### PaginationController

- `count` (integer, required)
- `current_count` (integer, required)
- `pages` (integer, required)
- `prev` (integer, required, nullable)
- `current` (integer, required)
- `next` (integer, required, nullable)

### Recipe

- `internalName` (string, required)
- `type` (string, required)
- `skill` (string, required)
- `level` (IntegerRange, required)
- `materials` (list of RecipeMaterial, required)
- `healthOrDamage` (IntegerRange, required)
- `sprites` (map from string to RecipeSprite, required)
- `xp` (integer, required)
- `durability` (IntegerRange, optional)
- `duration` (IntegerRange, optional)
- `basicDuration` (IntegerRange, optional)

### IntegerRange

- `minimum` (integer, required)
- `maximum` (integer, required)

### RecipeMaterial

- `item` (string, required)
- `amount` (integer, required)

### RecipeSprite

- `format` (string, required)
- `value` (RecipeSpriteValue, required)
- `name` (string, required)

### RecipeSpriteValue

- `id` (string, required)
- `customModelData` (integer, required)
- `name` (string, required)

## Examples

**Response**

```json
{
  "controller": {
    "count": 3,
    "current_count": 1,
    "pages": 3,
    "prev": 1,
    "current": 2,
    "next": 3
  },
  "results": [
    {
      "internalName": "Boots1-3",
      "type": "boots",
      "skill": "tailoring",
      "level": {
        "minimum": 1,
        "maximum": 3
      },
      "materials": [
        {
          "item": "Refined Copper Ingot",
          "amount": 1
        },
        {
          "item": "Refined Wheat String",
          "amount": 2
        }
      ],
      "healthOrDamage": {
        "minimum": 9,
        "maximum": 11
      },
      "sprites": {
        "default": {
          "format": "attribute",
          "value": {
            "id": "minecraft:leather_boots",
            "customModelData": 1,
            "name": "boots.leather"
          },
          "name": "itemdefault"
        }
      },
      "xp": 20,
      "durability": {
        "minimum": 175000,
        "maximum": 182000
      }
    }
  ]
}
```

**SDK Code**

```python Paginated recipe response with a single recipe
import requests

url = "https://api.wynncraft.com/v3/item/recipe/database"

response = requests.get(url)

print(response.json())
```

```javascript Paginated recipe response with a single recipe
const url = 'https://api.wynncraft.com/v3/item/recipe/database';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Paginated recipe response with a single recipe
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.wynncraft.com/v3/item/recipe/database"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Paginated recipe response with a single recipe
require 'uri'
require 'net/http'

url = URI("https://api.wynncraft.com/v3/item/recipe/database")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java Paginated recipe response with a single recipe
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.wynncraft.com/v3/item/recipe/database")
  .asString();
```

```php Paginated recipe response with a single recipe
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.wynncraft.com/v3/item/recipe/database');

echo $response->getBody();
```

```csharp Paginated recipe response with a single recipe
using RestSharp;

var client = new RestClient("https://api.wynncraft.com/v3/item/recipe/database");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift Paginated recipe response with a single recipe
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.wynncraft.com/v3/item/recipe/database")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```